.detail-card-container {
  height: 100%;
}
.detail-card {
  display: flex;
  flex-direction: column;
  color: #c0c0c0;
  font-family: "Poppins", sans-serif;
  padding: 1rem;
}

.detail-card--dark {
  background-color: #03131a !important;
}

.detail-card__cover {
  max-width: 25rem;
  width: 100%;
  max-height: 100%;
  align-self: center;
}

.detail-card__cover--padding {
  padding: 3rem 1rem;
}

.detail-card-content {
  display: flex;
  flex-direction: column;
  background-color: #102934;
  width: 100%;
  height: 100%;
  border-radius: 16px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.3);
}

.detail-card-body {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  padding: 2rem;
  height: 100%;
}
.detail-card__body {
  max-width: 40ch;
  flex-grow: 1;
}

.detail-card__button {
  background-color: transparent;
  color: #000000;
  border: none;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-size: 16px;
  text-align: center;
  transition: all 500ms ease;
  padding: 0.5rem;
  width: 100%;
  max-width: 218px;
  background-color: #c0c0c0;
}

.detail-card__button:hover {
  cursor: pointer;
  background-color: #ff0000;
  color: #fff;
}
